org.apache.solr.common

## Class ConditionalMapWriter

- java.lang.Object
- - org.apache.solr.common.ConditionalMapWriter

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class ConditionalMapWriter
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`static BiPredicate<String,Object>` `NON_NULL_VAL`

### Constructor Summary

Constructors
Constructor and Description
`ConditionalMapWriter(MapWriter delegate, BiPredicate<String,Object> predicate)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BiPredicate<String,Object>` `dedupeKeyPredicate(Set<String> keys)`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Field Detail

#### NON_NULL_VAL

    public static final BiPredicate<String,Object> NON_NULL_VAL

### Constructor Detail

#### ConditionalMapWriter

    public ConditionalMapWriter(MapWriter delegate,
                                BiPredicate<String,Object> predicate)

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### dedupeKeyPredicate

    public static BiPredicate<String,Object> dedupeKeyPredicate(Set<String> keys)